%define _aclocaldir %{_datadir}/aclocal

Name:       globes
Version:    3.2.18
Release:    3%{?dist}
Summary:    General Long Baseline Experiment Simulator

License:    GPLv2
URL:        https://www.mpi-hd.mpg.de/personalhomes/globes
Source0:    %{URL}/download/%{name}-%{version}.tar.gz
Patch0:     build_fix.patch

# for build
BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    gsl-devel

%description
This is GLoBES, a collection of numerical routines for the simulation
and analysis of neutrino oscillation experiments.

GLoBES is free software, you can redistribute it and/or modify it under
the terms of the GNU General Public License.

The GNU General Public License does not permit this software to be
redistributed in proprietary programs.

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using Fcitx5 libraries.

%package static
Summary:        Static libs for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description static
The %{name}-static package contains static libs of globes.

%prep
%autosetup -p1

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install

%files
%license COPYING
%doc README TODO examples BUGS INSTALL
%{_datadir}/%{name}
%{_bindir}/%{name}*
%{_libdir}/lib%{name}.so.8*
%{_mandir}/man1/%{name}-discovery.1.*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_aclocaldir}/%{name}.m4

%files static
%{_libdir}/lib%{name}.a


%changelog
* Sun Apr 13 2025 Qiyu Yan <yanqiyu@fedoraproject.org> - 3.2.18-3
- rebuild

* Wed Jun 16 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 3.2.18-2
- Disable Rpath

* Wed Jun 16 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 3.2.18-1
- Initial Package